/***************************************************************************

	cdda.c

	NEOGEO CD CD-DA emulation

***************************************************************************/

#ifndef	CDDA_H
#define CDDA_H

enum
{
	CDDA_STOP = 0,
	CDDA_PLAY,
	CDDA_PAUSE
};

extern int neogeo_cdda_enable;
extern int neogeo_cdda_volume;
extern int cdda_current_track;
extern int cdda_disabled;
extern volatile int	cdda_playing;
extern volatile int	cdda_autoloop;

int	 cdda_init(void);
void cdda_shutdown(void);

void cdda_play(int);
void cdda_pause(void);
void cdda_stop(void);
void cdda_resume(void);

void neogeo_cdda_control(void);
void neogeo_cdda_check(void);

#ifdef SAVE_STATE
void state_save_cdda(u8 *state_buf);
void state_load_cdda(u8 *state_buf);
#endif

#endif /* CDDA_H */
